Support » Plugin: Cielo WooCommerce - Solução Webservice » Suporte para o Webservice 3.0

  • Plugin Author Claudio Sanches

    (@claudiosanches)


    Estou trabalhando para adicionar suporte ao Webservice 3.0, mas como vocês sabem, eu mantenho os outros plugins e todos agora precisam de atualização para a nova versão do WooCommerce, então vai levar algum tempo para ficar pronto.

    É possível me ajudar a desenvolver essa nova versão no GitHub: https://github.com/greguly/cielo-woocommerce

Viewing 15 replies - 31 through 45 (of 46 total)
  • Eu recomendo! Uso em um ecommerce de cliente e não tive problemas. Toda vez que precisei recebi o suporte imediatamente.

    @claudiosanches Legal, aceitará transação com cartão de crédito estrangeiro?

    A API 3.0 da Cielo permite essas transações, segundo eles próprios me informaram.

    Plugin Author Claudio Sanches

    (@claudiosanches)

    @killjack provavelmente vai aceitar tudo que tem na API 3 deles.

    echoflp

    (@echofloripa)

    Recebi um email da Cielo informando que a versão 1.0 e 1.1 do TSL será desabilitada amanhã, dia 13 de julho:

    Cronograma de desativação:

    – Ambiente SandBox: Realizado em 23 de Junho de 2018
    – Ambiente produção: A ocorrer em 13 de Julho de 2018

    Alguém tem alguma sugestão?

    Estou usando dados com API 3.0 web seervice da cielo, mas ao tentar passar os dados do cartao da eroo, “Um erro aconteceu ao tentar processar su pagamento.” mais nada. Eu queria saber se alguem ha fez a integracao com a ultima versao e se deu certo?

    Galera e @claudiosanches

    Do que se trata o erro gerado no log. ?

    Credito.

    07-24-2018 @ 15:51:42 – Requesting a transaction for order 422 with the follow data: WC_Cielo_XML Object
    (
    [@attributes] => Array
    (
    [id] => 422-1532447502
    [versao] => 1.3.0
    )

    [dados-pedido] => WC_Cielo_XML Object
    (
    [numero] => 422
    [valor] => 100
    [moeda] => 986
    [data-hora] => 2018-07-24T13:13:34
    [idioma] => PT
    )

    [forma-pagamento] => WC_Cielo_XML Object
    (
    [bandeira] => mastercard
    [produto] => 1
    [parcelas] => 1
    )

    [url-retorno] => WC_Cielo_XML Object
    (
    )

    [autorizar] => 3
    [capturar] => true
    [gerar-token] => false
    )

    07-24-2018 @ 15:51:43 – An error occurred while requesting the transaction: WP_Error Object
    (
    [errors] => Array
    (
    [http_request_failed] => Array
    (
    [0] => cURL error 35: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure
    )

    )

    [error_data] => Array
    (
    )

    )

    Debito

    07-24-2018 @ 15:51:42 – Requesting a transaction for order 422 with the follow data: WC_Cielo_XML Object
    (
    [@attributes] => Array
    (
    [id] => 422-1532447502
    [versao] => 1.3.0
    )

    [dados-pedido] => WC_Cielo_XML Object
    (
    [numero] => 422
    [valor] => 100
    [moeda] => 986
    [data-hora] => 2018-07-24T13:13:34
    [idioma] => PT
    )

    [forma-pagamento] => WC_Cielo_XML Object
    (
    [bandeira] => mastercard
    [produto] => 1
    [parcelas] => 1
    )

    [url-retorno] => WC_Cielo_XML Object
    (
    )

    [autorizar] => 3
    [capturar] => true
    [gerar-token] => false
    )

    07-24-2018 @ 15:51:43 – An error occurred while requesting the transaction: WP_Error Object
    (
    [errors] => Array
    (
    [http_request_failed] => Array
    (
    [0] => cURL error 35: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure
    )

    )

    [error_data] => Array
    (
    )

    )

    Estou com a versão 4.9. 6 do WordPress, sei que nao teve, teste nessa versão, qual documentação estudo para alterar o que precisa, assim evitar erros com nome, erros de transação, sessao expirou etc…

    Olá pessoal,

    Para quem está utilizando esse plugin e não consegue mais receber pagamentos por conta da desativação do TLS 1.1, é preciso homologar o servidor para TLS 1.2 e realizar uma mudança no código na chamada da API.

    Arquivo: wp-content/plugins/cielo-woocommerce/includes/class-wc-cielo-api.php
    Linha 92
    REMOVER curl_setopt( $handle, CURLOPT_SSLVERSION, 4 );
    ADICIONAR curl_setopt( $handle, CURLOPT_SSLVERSION, 6 );

    Espero ajudar!
    Para mim funcionou 100% depois dessa mudança.

    Abraços
    Renato Rossi

    Muito obrigado @renatorossi simplesmente a mudança do 4 pelo 6 fez funcionar o pagamento na minha loja novamente.
    Obrigado pela ajuda!!!

    Eu fiz o que o amigo @renatorossi disse, mas agora esta aparecendo outro erro dizendo que as minhas credenciais estão erradas. Sendo que a algumas semanas atrás estava tudo certinho e não mexi nas credenciais. Será que houve alguma mudança na parte da cielo?

    O Número de afiliação estão corretos e também a Chave de afiliação que o plugin pede.

    Estou usando WooCommerce 2.0.20, não posso atualizar ele pois existe plugin feito pela minha empresa que só funcionam nessa versão. O WordPress esta na versão 4.9.7. A Cielo WooCommerce – Solução Webservice esta na versão 4.0.14

    Já rolou a atualização do plugin?

    Olá esto tendo problema com a antiga api 1.5 a cielo não está aceitando só aceita agora a 3.0 eu sei de todo os esforços para a contribuição do desenvolvimento da 3.0 mais alguém poderia me passar alguma informar de como está o andamento pois já tem um tempo que entro e não vejo nenhuma informação estou tendo que usar outras soluções PS: não estou cobrando nada de ninguém eu sei dos esforços em desenvolver só estou perguntando 🙂 obrigado a todos

    Obrigada @renatorossi, o seu fix funcionou para mim tb

    Oi, gostaria de saber se tem alguma previsão de atualização do plugin? Obrigado.

    Gostaria de saber se tem alguma atualização para a API 3.0.

Viewing 15 replies - 31 through 45 (of 46 total)
  • You must be logged in to reply to this topic.